pipeline {
    environment {
        imagename = "aergus/latex"
        registryCredential = ''
        dockerImage = ''
    }
    agent any
    stages {
        stage('Cloning Git') {
            steps {
                git([url: 'https://git.athene.tech/is.ulstu.ru/iiti-2024.git', branch: 'master', credentialsId: '2'])
            }
        }
        stage('Building pdf') {
            steps{
                script {
                    docker.image('aergus/latex').inside {
                        sh 'rm paper_eng.pdf'
                        sh 'latexmk -pdf paper_eng.tex'
                        sh 'git add -f paper_eng.pdf'
                        sh 'git commit -m "add pdf"'
                        sh 'git push origin master'
                    }
                }
            }
        }
    }
    post {
        always {
            archiveArtifacts artifacts: 'paper_eng.pdf', allowEmptyArchive: false, fingerprint: true, onlyIfSuccessful: true
        }
    }
}